SimSimulationObjectCollection Class

class NXOpen.CAE.SimSimulationObjectCollection

Bases: object

Provides methods for managing simulation objects NXOpen.CAE.SimSimulationObject in a sim part

To obtain an instance of this class, refer to NXOpen.CAE.SimSimulation

New in version NX4.0.0.

Methods

Method Description
CreateSimulationObject Creates a Simulation object for the simulation object descriptor passed
FindObject Finds the NXOpen.CAE.SimSimulationObject with the given identifier as recorded in a journal.

Method Detail

CreateSimulationObject

SimSimulationObjectCollection.CreateSimulationObject

Creates a Simulation object for the simulation object descriptor passed

Signature CreateSimulationObject(descriptorName, name)

Parameters:
  • descriptorName (str) – name of the simulation object descriptor
  • name (str) – name of the simulation object to be created
Returns:

simulation object created

Return type:

NXOpen.CAE.SimSimulationObject

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

SimSimulationObjectCollection.FindObject

Finds the NXOpen.CAE.SimSimulationObject with the given identifier as recorded in a journal.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier to be found
Returns:simulation object found
Return type:NXOpen.CAE.SimSimulationObject

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)